import { createBlock } from '@modern-js-block/runtime';
import { Heatmap } from '@antv/g2plot';
import { createChart } from "../base";
import { mockHeatmapData } from "../mockData";
const HeatmapChart = createChart(Heatmap, {
  transformData: options => {
    const {
      xField,
      data = [],
      isSorted
    } = options;

    if (isSorted) {
      return data.sort((a, b) => a[xField] - b[xField]);
    }

    return data;
  }
});
export default createBlock({
  width: 650,
  height: 500,
  autoFit: false,
  data: mockHeatmapData,
  xField: 'Month of Year',
  yField: 'District',
  colorField: 'AQHI',
  color: ['#174c83', '#7eb6d4', '#efefeb', '#efa759', '#9b4d16']
})(HeatmapChart);