import React from 'react';
import { mockHeatmapData } from '../src/mockData';
import { HeatmapChart } from '../src';

export const Heatmap = () => (
  <HeatmapChart
    width={650}
    height={500}
    autoFit={false}
    data={mockHeatmapData}
    xField="Month of Year"
    yField="District"
    colorField="AQHI"
    meta={{
      // eslint-disable-next-line @typescript-eslint/naming-convention
      'Month of Year': {
        type: 'cat',
      },
    }}
    color={['#174c83', '#7eb6d4', '#efefeb', '#efa759', '#9b4d16']}
  />
);

export default { title: '热力图' };
